Gantry::Plugins::Cache(3)

NAME
Gantry::Plugins::Cache - A Plugin for initializing cache processing

SYNOPSIS
In Apache Perl startup or app.cgi or app.server:

    <Perl>
        # ...
        use MyApp qw{ -Engine=CGI -TemplateEngine=TT Cache::FastMap };

        # or
        use MyApp qw{ -Engine=CGI -TemplateEngine=TT Cache::Memcached };

    </Perl>

DESCRIPTION
The purpose of the plugin is to initalize cache processing for the application. Caching process should only be started once and this module is an attempt to do so at the beginning of session processing. This module should be placed after the -TemplateEngine selection and before any other plugins.

Note that you must include Cache in the list of imported items when you use your base app module (the one whose location is app_rootp). Failure to do so will cause errors.

CONFIGURATION
The following items can be set by configuration:

    There is no configuration for this module. Which caching system used, depends on which module from Gantry::Cache is included in the base module for the application. If no caching modules are include an error will result.

METHODS

get_callbacks
    For use by Gantry.pm. Registers the callbacks needed for cache management during the PerlHandler Apache phase or its moral equivalent.

PRIVATE SUBROUTINES

initialize
    Callback to initialize plugin configuration.

SEE ALSO
    Gantry

AUTHOR
Kevin L. Esteb <kesteb@wsipc.org>

COPYRIGHT AND LICENSE
Copyright (C) 2007 Kevin L. Esteb

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.